Bug 224543 - net/igmpproxy: update to 0.2, take maintainership
Summary: net/igmpproxy: update to 0.2, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mark Felder
URL: https://reviews.freebsd.org/D13604
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2017-12-23 14:03 UTC by Franco Fichtner
Modified: 2018-02-08 06:50 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (melifaro)


Attachments
update to 0.2 (8.11 KB, patch)
2017-12-23 14:03 UTC, Franco Fichtner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2017-12-23 14:03:09 UTC
Created attachment 189056 [details]
update to 0.2

Hi,

igmpproxy version 0.2 was released yesterday.  Here are the release notes:

https://github.com/pali/igmpproxy/releases/tag/0.2

Attached is a port update, required fixes for FreeBSD and the request to take maintainership as there is no activity from maintainer in recent years.


Cheers,
Franco
Comment 1 Jochen Neumeister freebsd_committer 2018-01-07 08:42:51 UTC
Heya Franco :-)

Path "head/net/igmpproxy/files/0001-Revert-Try-to-fix-problems-with-strict-aliasing.patch" is missing the svn:keywords property (or an fbsd:nokeywords override)
== Additional errors may compound and may not be accurate ==
Path "head/net/igmpproxy/files/0002-Revert-Include-config.h-before-any-other-files-to-ma.patch" is missing the svn:keywords property (or an fbsd:nokeywords override)
== Pre-commit problem count: 2

Can you re-add a new patch with solved this?
Comment 2 Franco Fichtner 2018-01-21 19:21:44 UTC
Hi Jochen,

I'm not using SVN, I'm using GIT...


Cheers,
Franco
Comment 3 Mark Felder freebsd_committer 2018-02-07 22:37:58 UTC
thanks for updating this port and taking maintainership Franco!
Comment 4 commit-hook freebsd_committer 2018-02-07 22:38:06 UTC
A commit references this bug:

Author: feld
Date: Wed Feb  7 22:37:32 UTC 2018
New revision: 461191
URL: https://svnweb.freebsd.org/changeset/ports/461191

Log:
  net/igmpproxy: Update to 0.2

  - Change maintainer

  PR:		224543

Changes:
  head/net/igmpproxy/Makefile
  head/net/igmpproxy/distinfo
  head/net/igmpproxy/files/0001-Revert-Try-to-fix-problems-with-strict-aliasing.patch
  head/net/igmpproxy/files/0002-Revert-Include-config.h-before-any-other-files-to-ma.patch
  head/net/igmpproxy/files/patch-Makefile.in
  head/net/igmpproxy/files/patch-src__os-freebsd.h
  head/net/igmpproxy/files/patch-src_igmpproxy.c
Comment 5 Franco Fichtner 2018-02-08 06:50:31 UTC
Yay, thanks!